Loading...
Searching...
No Matches
casacore::uIntSequence Class Reference
casa package (libcasa_casa) » Utilities_module

uInt sequence for general use More...

`#include <Sequence.h>`

## Public Member Functions

uInt | getNext ()
| Get the next uInt value in the sequence (thread-safe).
Public Member Functions inherited from casacore::Sequence< uInt >
virtual | ~Sequence ()

## Static Public Member Functions

static uInt | SgetNext ()

## Static Private Attributes

static std::atomic< uInt > | next

## Detailed Description

uInt sequence for general use

### Intended use:

Public interface

### Review Status

Reviewed By:
  Friso Olnon
Date Reviewed:
  1995/03/17

### Synopsis

This class provides a uInt based sequence for general use.

Definition at line 65 of file Sequence.h.

## Member Function Documentation

## getNext()

uInt casacore::uIntSequence::getNext | ( |  | ) |

inline virtual

Get the next uInt value in the sequence (thread-safe).

Implements casacore::Sequence< uInt >.

Definition at line 70 of file Sequence.h.

References SgetNext().

## SgetNext()

uInt casacore::uIntSequence::SgetNext | ( |  | ) |

static

Referenced by getNext().

## Member Data Documentation

## next

std::atomic<uInt> casacore::uIntSequence::next

static private

Definition at line 77 of file Sequence.h.

The documentation for this class was generated from the following file:

- casa/Utilities/Sequence.h